Create Lexical category in lexeme
Closed, ResolvedPublic

Description

Per https://www.wikidata.org/wiki/Wikidata:Wiktionary/Development/Proposals/2015-05

We talked about it with @WMDE-leszek and we think Lexical category should be items.

  • Add provider interface
  • Add to entity as an attribute and add getter and setter
  • Add to content as part of isstub
  • Add to Special:NewEntity
  • Consider in equals() method
  • Consider in __clone() method
  • Consider in isEmpty() method
  • Add to serializer
  • Add to deserializer
  • Add to patcher
  • Add to differ
  • Add support in EntityView
  • Add to RDF mapping (not currently pluggable!)
  • Add Validation (not currently pluggable)
  • Add ChangeOp for updating (must work with wbeditentity)
  • Add handling (or suppression) to EntityChangeFactory (not currently pluggable)

Related Objects

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 29 2016, 9:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 29 2016, 9:18 PM
daniel triaged this task as Normal priority.Oct 31 2016, 4:10 PM
daniel added a subscriber: daniel.

Yes, the lexical category should be an Item

daniel moved this task from proposed to accepted on the WMDE-TLA-Team board.Nov 1 2016, 1:38 PM
Ladsgroup moved this task from Proposed to Backlog on the Wikidata-Sprint board.Nov 18 2016, 10:55 AM
Ladsgroup moved this task from Backlog to Doing on the Wikidata-Sprint board.Dec 2 2016, 4:45 PM
Ladsgroup moved this task from Incoming to In progress on the User-Ladsgroup board.Dec 5 2016, 3:17 PM
Ladsgroup updated the task description. (Show Details)

Change 325450 had a related patch set uploaded (by Ladsgroup):
First pass on LexicalCategory

https://gerrit.wikimedia.org/r/325450

Maybe it's better to go with ItemId instead of Item? Not so sure.

Ladsgroup moved this task from Doing to Review on the Wikidata-Sprint board.Dec 6 2016, 1:05 AM
Ladsgroup moved this task from In progress to Blocked on others on the User-Ladsgroup board.

@Ladsgroup yes, it should of course be an ItemId (or an EntityIdValue), not a complete Item inline.

Change 325450 merged by jenkins-bot:
First pass on LexicalCategory

https://gerrit.wikimedia.org/r/325450

Ladsgroup moved this task from Review to Doing on the Wikidata-Sprint board.Dec 7 2016, 1:51 PM
Ladsgroup updated the task description. (Show Details)

Change 326024 had a related patch set uploaded (by Ladsgroup):
Second pass on Lexical Category

https://gerrit.wikimedia.org/r/326024

Ladsgroup moved this task from Doing to Review on the Wikidata-Sprint board.Dec 8 2016, 10:40 PM

Change 326024 merged by jenkins-bot:
Second pass on Lexical Category

https://gerrit.wikimedia.org/r/326024

Change 327481 had a related patch set uploaded (by Ladsgroup):
Add Lexical category to Special:NewLexeme

https://gerrit.wikimedia.org/r/327481

Change 327481 merged by jenkins-bot:
Add Lexical category to Special:NewLexeme

https://gerrit.wikimedia.org/r/327481

Ladsgroup moved this task from Review to Doing on the Wikidata-Sprint board.Dec 16 2016, 10:25 PM
Ladsgroup updated the task description. (Show Details)
Ladsgroup moved this task from Blocked on others to In progress on the User-Ladsgroup board.

Change 328655 had a related patch set uploaded (by Ladsgroup):
[WIP] Add language and lexical category support in LexemeView

https://gerrit.wikimedia.org/r/328655

Ladsgroup moved this task from Doing to Review on the Wikidata-Sprint board.Dec 24 2016, 3:00 AM

Change 329460 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Replace misleading wikitext sytnax in LexemeViewTest

https://gerrit.wikimedia.org/r/329460

Change 328655 merged by jenkins-bot:
Add language and lexical category support in LexemeView

https://gerrit.wikimedia.org/r/328655

Ladsgroup moved this task from Review to Done on the Wikidata-Sprint board.Dec 29 2016, 1:53 AM
Ladsgroup updated the task description. (Show Details)

Change 329460 merged by jenkins-bot:
Replace misleading wikitext sytnax in LexemeViewTest

https://gerrit.wikimedia.org/r/329460

thiemowmde closed this task as Resolved.Jan 3 2017, 1:28 PM